OPENPAM_NULLCONV(3)

NAME
openpam_nullconv - null conversation function

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/openpam.h>
int
openpam_nullconv(int n, const struct pam_message **msg, struct pam_response **resp, void *data);

DESCRIPTION
The openpam_nullconv function is a null conversation function suitable for applications that want to use PAM but don't support interactive dialog with the user. Such applications should set PAM_AUTHTOK to whatever authentication token they've obtained on their own before calling pam_authenticate(3) and / or pam_chauthtok(3), and their PAM configuration should specify the use_first_pass option for all modules that require access to the authentication token, to make sure they use PAM_AUTHTOK rather than try to query the user.

RETURN VALUES
The openpam_nullconv function returns one of the following values:

[PAM_CONV_ERR]
    Conversation failure.

SEE ALSO
openpam_ttyconv(3), pam(3), pam_authenticate(3), pam_chauthtok(3), pam_prompt(3), pam_set_item(3), pam_strerror(3), pam_vprompt(3)

STANDARDS
The openpam_nullconv function is an OpenPAM extension.

AUTHORS
The openpam_nullconv function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc.& under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.